Bug 92054 - redhat-config-network write modemsetup to screen
redhat-config-network write modemsetup to screen
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-02 04:02 EDT by Havard Rue
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-03 05:27:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Havard Rue 2003-06-02 04:02:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

starting redhat-config-network, then entering rootpw, modemsetup appears on the
screen including passwd



Version-Release number of selected component (if applicable):
redhat-config-network-tui-1.2.0-2

How reproducible:
Always

Steps to Reproduce:
wotan[hrue]$ redhat-config-network

                   < enter root pw >
 <this output appears on the screen>
['Modem ', ' /dev/ttyS4']
['Baud ', ' 57600']
['SetVolume ', ' 0']
['Dial Command ', ' ATDT']
['Init1 ', ' ATZ']
['FlowControl ', ' Hardware (CRTSCTS)']
['Username ', ' hrue']
['Password ', ' xxxxxx']
['Phone ', ' 73 59 09 50']
['Inherits ', ' Modem0']
['Username ', ' hrue']
['Password ', ' xxxxx']
['Phone ', ' 73 59 09 50']


ie the password entered apperas in clear text.

i would expect no output.  

Actual Results:  the password entered apperas in clear text

Expected Results:  i would expect no output.

Additional info:
Comment 1 Harald Hoyer 2003-06-02 10:08:05 EDT
http://people.redhat.com/harald/redhat-config-network
does have some bug fix release

Note You need to log in before you can comment on or make changes to this bug.